# Class SnpSiftCmdPedShow

java.lang.Object
org.snpsift.SnpSift
org.snpsift.SnpSiftCmdPedShow

All Implemented Interfaces:
  `org.snpeff.snpEffect.commandLine.CommandLine, org.snpeff.snpEffect.VcfAnnotator`

public class SnpSiftCmdPedShow extends SnpSift
Draws a pedigree using SVG according to a VCF file

Author:
  pablocingolani

## Field Summary

### Fields inherited from class SnpSift

`args, BUILD, command, config, configFile, dataDir, dbFileName, dbTabix, dbType, debug, download, EMPTY_ARGS, errCount, genomeVersion, help, log, needsConfig, needsDb, needsGenome, numWorkers, output, quiet, REVISION, saveOutput, shiftArgs, SHOW_EVERY_VCFLINES, showVcfHeader, showVersion, SOFTWARE_NAME, suppressOutput, vcfHeaderAddProgramVersion, vcfHeaderProcessed, vcfInputFile, verbose, VERSION, VERSION_MAJOR, VERSION_NO_NAME, VERSION_SHORT`

## Constructor Summary

Constructors
Constructor
Description
`SnpSiftCmdPedShow()`
`SnpSiftCmdPedShow(String[] args)`

## Method Summary

Modifier and Type
Method
Description
`void`
`parseArgs(String[] args)`
Parse command line arguments
`boolean`
`run()`
Run: Main method
`void`
`usage(String msg)`
Show usage message

### Methods inherited from class SnpSift

`addHeaders, annotate, annotateFinish, annotateInit, cmd, commandLineStr, databaseDownload, databaseFind, error, getArgs, getConfig, getConfigFile, getOutput, headers, init, isOpt, loadConfig, main, openVcfInputFile, processVcfHeader, setCommand, setCommand, setConfig, setConfigFile, setDbFileName, setDebug, setQuiet, setSaveOutput, setShowVcfHeader, setShowVersion, setSuppressOutput, setVcfHeaderAddProgramVersion, setVerbose, showCmd, showVersion, unSanitize, usageGenericAndDb`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SnpSiftCmdPedShow

public SnpSiftCmdPedShow()

### SnpSiftCmdPedShow

public SnpSiftCmdPedShow(String[] args)

## Method Details

### parseArgs

public void parseArgs(String[] args)
Description copied from class: `SnpSift`
Parse command line arguments

Specified by:
  `parseArgs` in interface `org.snpeff.snpEffect.commandLine.CommandLine`
Overrides:
  `parseArgs` in class `SnpSift`

### run

public boolean run()
Run: Main method

Specified by:
  `run` in interface `org.snpeff.snpEffect.commandLine.CommandLine`
Overrides:
  `run` in class `SnpSift`
Parameters:
  `tfamFile` -
  `vcfFileName` -
  `outputDir` -
  `chrPos` -

### usage

public void usage(String msg)
Description copied from class: `SnpSift`
Show usage message

Specified by:
  `usage` in interface `org.snpeff.snpEffect.commandLine.CommandLine`
Overrides:
  `usage` in class `SnpSift`